Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 07/09/2017, à 23:10

micka260

WPS Office, installation ok, impossible a executer.

Bonjour,
Je tourne sous Ubuntu Gnome 17.10.
J'ai installé WPS-Office car Libreoffice ne couvre pas mes besoins, j'aurai besoin de créer des documents .docx avec possibilité d'ouvrir sous word avec la même mise en page sur une autre machines.

Donc via ce lien : http://wps-community.org/downloads j'ai essayé d’installer ces deux paquets (l'un après l'autre) :
wps-office_10.1.0.5707~a21_amd64.deb
wps-office_10.1.0.5707~a21_i386.deb
Via la commande

sudo dpkg -i (chemin du .deb)

Lors de mes deux installations j'ai bien les icones de lancement dans ma liste d'application, mais lorsque je clique dessus rien ne se passe ...

Merci pour votre aide.

Hors ligne

#2 Le 07/09/2017, à 23:17

micka260

Re : WPS Office, installation ok, impossible a executer.

Lorsque je fais un

sudo apt autoremove 

Voici la réponse :

sudo apt autoremove 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 wps-office:i386 : Dépend: libglib2.0-0:i386 mais il n'est pas installé
                   Dépend: libpng12-0:i386 mais il n'est pas installable
                   Recommande: ttf-mscorefonts-installer:i386
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).

Ensuite je fais un

apt --fix-broken install

Et ça me vire WPS Office

Hors ligne

#3 Le 08/09/2017, à 00:07

pingouinnormand

Re : WPS Office, installation ok, impossible a executer.

Tu as installé la version 64 bits de WPS en premier puis ensuite une version 32 bits.
Ton système tourne en 64 bits. Il ne faut installer que la première version de WPS d'où le retour d'erreur.


Laptop : Lenovo Thinkpad T430       
OS : Solus 3 budgie (64 bits) avec Kernel 4.12.X       
Configuration : CPU Intel Core i5-3320M CPU @ 2.60GHz - RAM 8 Go - GPU Intel(R) HD Graphics 4000 - SSD Corsair Neutron Series XTi 240 Go

Hors ligne

#4 Le 08/09/2017, à 01:06

Coeur Noir

Re : WPS Office, installation ok, impossible a executer.

Tu es sûr à 100% que LO ne couvre pas tes besoins ? Quelle version de LO as-tu testé ? Tu utilises bien les mêmes polices sur toutes tes machines ? ( point à vérifier de toute façon que tu utilises LO, WPS ou autre… )

Je ne dis pas que WPS c'est merdique, mais niveau suivi, support, documentation et « francisation » c'est loin d'être bon. Et il n'est ni libre ni open-source ( mais t'as le droit de t'en foutre ).

Malheureusement un document absolument identique à travers plusieurs systèmes, ça n'a rien d'évident, même à travers un même logiciel : j'ai des différences de rendu très sensibles pour un même document entre LO sur Linux et LO sur pc… la gestion des polices étant très différente d'un système à l'autre.

Hors ligne

#5 Le 08/09/2017, à 12:34

micka260

Re : WPS Office, installation ok, impossible a executer.

Merci pingouinnormand, je viens d'installer du coup la version 64 bits

Voila la réponse :

sudo apt autoremove 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 wps-office : Dépend: libpng12-0 mais il n'est pas installable
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).

Coeur Noir, les seuls document qui me pose problème, sont les documents rédiger sous windows sur mon post professionnel, qui ne dispose que de MS office, j'ai donc espoire de pouvoir ouvrir mes documents ms office via WPS office, mais ce n'est qu'un essais je ne suis même pas sur que cela fonctionne ...  mais je préfère essayer cela avant de mettre une machine virtuel juste pour du word ...

Merci a vous deux wink

Hors ligne

#6 Le 08/09/2017, à 14:31

Coeur Noir

Re : WPS Office, installation ok, impossible a executer.

Au final tes documents, t'es obligé de les fournir en format .docx au monde entier ?

MSoffice n'exporte pas en .odt de nos jours ? Ou en .doc ? Et quelle version de LO as-tu testé ? Car à  chaque nouvelle version de LO la compatibilité avec docx s'améliore… je ne dis pas qu'elle est parfaite, hein.

Il te manque libpng12-0 sur ta 16.04 17.10 ! ( c'est peut-être une version plus récente qui est installée sur 16.04 ? le paquet libpng12-0 n'existe pas sous 17.04 et 17.10 ! ) essaie donc ce que te conseille ce retour de terminal :

sudo apt --fix-broken install

ou

sudo apt install -f

→ normal que ça échoue, le paquet n'est pas dans les dépôts.

Si pas mieux, tu peux trouver le paquet .deb de libpng12-0 par là : https://packages.ubuntu.com/xenial/libpng12-0 ( architecture amd64 ).

Dernière modification par Coeur Noir (Le 10/09/2017, à 14:14)

Hors ligne

#7 Le 10/09/2017, à 13:40

micka260

Re : WPS Office, installation ok, impossible a executer.

Ma version de LO est la : Version: 5.3.1.2

Sûrement que MSoffice est capable d'exporter en .odt, mais c'est souvent des documents que mes collègues m'envoient en .docx avec des polices d'écriture Microsoft ...

Lorsque j'essais

sudo apt --fix-broken install

ou

sudo apt install -f

Cela me désinstalle WPS, je vais esssayé ton lien

Hors ligne

#8 Le 10/09/2017, à 13:58

metalux

Re : WPS Office, installation ok, impossible a executer.

micka260 a écrit :

Coeur Noir, les seuls document qui me pose problème, sont les documents rédiger sous windows sur mon post professionnel, qui ne dispose que de MS office, j'ai donc espoire de pouvoir ouvrir mes documents ms office via WPS office, mais ce n'est qu'un essais je ne suis même pas sur que cela fonctionne ...  mais je préfère essayer cela avant de mettre une machine virtuel juste pour du word ...

Merci a vous deux wink

Bonjour,
Peut-être une remarque toute bête mais as-tu installé les polices microsoft?

Sinon plutôt qu'une machine virtuelle, selon la version de Word que tu utilises, tu peux l'installer avec Wine ou playonlinux. J'ai utilisé un certain temps cette solution pour mon épouse qui suivait une formation et avait absolument besoin de Word et ça fonctionnait plutôt bien avec la version 2007. J'ai juste eu à faire un script pour l'association des .doc et .docx pour qu'ils s'ouvrent avec Word car ça ne fonctionnait pas par défaut. Je dois pouvoir les retrouver si ça t'intéresse. Pour les autres versions de Word, regarde lesquelles sont bien soutenues par Wine, une notation Gold ou platinium est souhaitable pour un usage correct: https://appdb.winehq.org/objectManager. … ion&iId=10

Hors ligne

#9 Le 10/09/2017, à 14:11

Coeur Noir

Re : WPS Office, installation ok, impossible a executer.

Tu es sous 17.10, j'avais pas fait gaffe !!!

Je me demandais pourquoi libpng12-0 ne s'installait pas chez toi, tout s'explique : 17.10 est en cours de finalisation, pas encore officiellement sortie, et ne sera de toute façon qu'une version intermédiaire d'Ubuntu, maintenue seulement 9 mois, contrairement aux versions LTS maintenues 5 ans. Les LTS en cours sont les 14.04 et 16.04. La prochaine LTS sera la 18.04.

Donc soit essaie d'installer d'abord le .deb pour libpng12-0, puis ensuite installer wps.

Soit, utilise plutôt une Ubuntu LTS.

Hors ligne

#10 Le 10/09/2017, à 14:46

JBF

Re : WPS Office, installation ok, impossible a executer.

metalux a écrit :

Peut-être une remarque toute bête mais as-tu installé les polices microsoft?

Les polices Microsoft ne contiennent pas les polices C (Calibri, etc.) par défaut de Microsoft, mais avec les versions récentes de LibreOffice ce n'est pas gênant parce que LO leur substitue des polices équivalentes libres développées par Google (Carlito, Caladea, etc.). Il faut juste vérifier que Ubuntu a bien installé ces polices quand tu as installé LO.


LibreOffice : http://fr.libreoffice.org/ (téléchargement, documentation, FAQ, assistance, contribuer, ...)
Aide pour LibreOffice par la communauté francophone : https://fr.libreoffice.org/get-help/poser-une-question

Hors ligne

#11 Le 10/09/2017, à 15:33

Coeur Noir

Re : WPS Office, installation ok, impossible a executer.

Tu es sûr qu'elles s'installent en même temps que LO, JBF ?

Pour les installer, par exemple depuis un terminal :

sudo apt install fonts-crose* ttf-mscorefonts-installer

le premier sélectionnera les carlito et caladea, le second l'installateur des polices microsoft ( utiliser la touche tab pour valider l'accord de licence ).

Hors ligne

#12 Le 10/09/2017, à 17:15

JBF

Re : WPS Office, installation ok, impossible a executer.

Coeur Noir a écrit :

Tu es sûr qu'elles s'installent en même temps que LO, JBF ?

Non, pas pour la version fournie par Ubuntu, mais normalement c'est le cas pour la version fournie par LibreOffice. C'est pour ça que je mettais qu'il faut vérifier.


LibreOffice : http://fr.libreoffice.org/ (téléchargement, documentation, FAQ, assistance, contribuer, ...)
Aide pour LibreOffice par la communauté francophone : https://fr.libreoffice.org/get-help/poser-une-question

Hors ligne

#13 Le 14/09/2017, à 21:25

micka260

Re : WPS Office, installation ok, impossible a executer.

C'est bon j'ai réussi a installer WPS office smile Merci a vous tous pour votre aide smile il répond parfaitement a mes besoins

Hors ligne

#14 Le 14/09/2017, à 23:18

Coeur Noir

Re : WPS Office, installation ok, impossible a executer.

Alors :
1) c'est cool !
2) si tu pouvais résumer après quelle action, quelle procédure tu es parvenu à l'installation, ça pourra aider d'autres personnes.
3) modifier le titre de ton premier message pour y ajouter [ résolu ]

Ce serait encore plus cool que cool.

Hors ligne